
package org.enis.gi3.mdb.client;

import javax.jms.Queue;
import javax.jms.QueueConnection;
import javax.jms.QueueConnectionFactory;
import javax.jms.QueueSender;
import javax.jms.QueueSession;
import javax.jms.TextMessage;
import javax.naming.InitialContext;

public class Client
{
   public static void main(String[] args) throws Exception
   {
      processMessage("queue/exemple");
   }

   private static void processMessage(String queueBinding) throws Exception
   {

      QueueConnection cnn = null;
      QueueSender sender = null;
      QueueSession session = null;
      try
      {
         InitialContext ctx = new InitialContext();
         Queue queue = (Queue) ctx.lookup(queueBinding);
         QueueConnectionFactory factory = (QueueConnectionFactory) ctx.lookup("ConnectionFactory");
         cnn = factory.createQueueConnection();
         session = cnn.createQueueSession(false, QueueSession.AUTO_ACKNOWLEDGE);

         TextMessage msg = session.createTextMessage("Hello World");

         sender = session.createSender(queue);
         sender.send(msg);
         System.out.println("Message envoye avec succes a " + queueBinding);
      }
      finally
      {
         //cleanup
         if (cnn != null)
         {
            cnn.close();
         }

      }

   }
}
